<%@ page contentType="text/html; charset=GBK" %>
<%@ taglib uri="/cms4j" prefix="cms4j" %>

<%@ page import = "cn.com.dekn.cms.util.*,cn.com.dekn.common.util.*" %>


<%
//锟斤拷站群锟节碉拷ID
String NODE_ID = ParamUtil.getStrParam(request,"NODE_ID","root");

//锟斤拷站群锟节碉拷锟斤拷锟?
String CLUSTER_URL_PARAM = "";
if(null != request.getParameter("cluster_node_id")){
	CLUSTER_URL_PARAM = "cluster_node_id=" + StrUtil.encodeHTML(request.getParameter("cluster_node_id").toString());
}

%>



<%
/***********************************
* TAG锟斤拷锟斤拷锟绞硷拷锟?
***********************************/
//要锟斤拷示锟斤拷目锟斤拷ID
String CLASS_ID = 		ParamUtil.getStrParam(request,"CLASS_ID","");

//锟斤拷锟斤拷锟斤拷锟斤拷
String FILTER = 		ParamUtil.getStrParam(request,"FILTER",""); 

//锟斤拷锟斤拷锟斤拷锟斤拷
String ORDER = 	ParamUtil.getStrParam(request,"ORDER",""); 

//锟斤拷示锟侥凤拷围锟斤拷锟斤拷锟斤拷锟斤拷锟斤拷锟斤拷锟斤拷锟铰ｏ拷锟斤拷锟斤拷站锟叫碉拷锟斤拷锟铰ｏ拷全锟斤拷
String SCOPE = 	ParamUtil.getStrParam(request,"SCOPE",""); 

//指锟斤拷锟斤拷示锟斤拷一篇锟斤拷锟斤拷
String ARTICLE_ID = 	ParamUtil.getStrParam(request,"ARTICLE_ID",""); 

//锟斤拷示锟斤拷一锟斤拷专锟斤拷
String SPECIAL_ID = 	ParamUtil.getStrParam(request,"SPECIAL_ID",""); 

//锟斤拷锟斤拷锟截硷拷锟斤拷
String KEY = 	ParamUtil.getStrParam(request,"KEY","");
KEY = Convert.convertEncode(KEY);

//锟斤拷锟斤拷锟截硷拷锟斤拷
String SEARCH = 		ParamUtil.getStrParam(request,"SEARCH","");

//锟斤拷锟斤拷锟斤拷锟斤拷
String SEARCH_TYPE = 	ParamUtil.getStrParam(request,"SEARCH_TYPE","");

//锟斤拷锟斤拷锟?
String ADD_USER = 		ParamUtil.getStrParam(request,"ADD_USER","");

//锟斤拷目锟斤拷状态(默锟斤拷锟斤拷示状态为USE锟斤拷)
String CLASS_STATE = 	ParamUtil.getStrParam(request,"CLASS_STATE","use");

//锟斤拷目锟斤拷锟斤拷示锟斤拷式锟斤拷all 为锟斤拷示锟斤拷锟叫ｏ拷 show 为锟斤拷示锟斤拷锟节碉拷锟斤拷锟斤拷锟斤拷示锟侥★拷 hidden为锟斤拷示锟斤拷锟节碉拷锟斤拷锟叫诧拷锟斤拷示锟侥★拷
String CLASS_SHOW = 	ParamUtil.getStrParam(request,"CLASS_SHOW","all");

//锟斤拷锟斤拷锟斤拷锟节凤拷围锟斤拷all 锟斤拷示锟斤拷锟叫ｏ拷now 锟斤拷示锟斤拷锟斤拷锟斤拷锟斤拷锟矫碉拷锟斤拷锟节凤拷围锟节ｏ拷 expire 锟斤拷示锟斤拷锟节的ｏ拷notbegin 锟斤拷示未锟斤拷始锟斤拷
String DATE = 	ParamUtil.getStrParam(request,"DATE","now");

//锟脚筹拷
String EXCLUDE = 		ParamUtil.getStrParam(request,"EXCLUDE","");

//锟脚筹拷2
String EXCLUDE2 = 		ParamUtil.getStrParam(request,"EXCLUDE2","");

//指锟斤拷锟斤拷锟斤拷锟斤拷锟斤拷拢锟斤拷锟斤拷锟斤拷锟絀D之锟斤拷锟斤拷|锟街革拷
String BIND_KEY_ARTICLE_ID = ParamUtil.getStrParam(request,"BIND_KEY_ARTICLE_ID","");

//指锟斤拷锟斤拷示锟节硷拷页锟斤拷锟斤拷锟?
int PN = ParamUtil.getIntParam(request,"PN",0);

//锟斤拷锟斤拷
String PAGE_SIZE = ParamUtil.getStrParam(request,"PAGE_SIZE","10"); 


/***********************************
* 锟斤拷示锟斤拷锟皆诧拷锟斤拷锟绞硷拷锟?
***********************************/
//锟斤拷锟脚憋拷锟解长锟斤拷
int TITLE_LENGTH = ParamUtil.getIntParam(request,"TITLE_LENGTH",24);

//锟斤拷锟解长锟饺筹拷锟斤拷时锟斤拷示锟斤拷锟街凤拷
String TITLE_OUT_STR = ParamUtil.getStrParam(request,"TITLE_OUT_STR","..");

//每锟叫的高讹拷
String ROW_HEIGHT = ParamUtil.getStrParam(request,"ROW_HEIGHT","22");

//锟斤拷锟斤拷锟斤拷锟斤拷锟铰★拷图片锟斤拷址
String IS_NEW_IMG = ParamUtil.getStrParam(request,"IS_NEW_IMG","images/new.gif");

//锟斤拷锟铰憋拷锟斤拷前锟斤拷图片(锟斤拷通锟斤拷锟铰ｏ拷
String ARTICLE_FRONT_IMG_COMMON = ParamUtil.getStrParam(request,"ARTICLE_FRONT_IMG_COMMON","");

//锟斤拷锟铰憋拷锟斤拷前锟斤拷图片(锟饺碉拷锟斤拷锟铰ｏ拷
String ARTICLE_FRONT_IMG_HOT = ParamUtil.getStrParam(request,"ARTICLE_FRONT_IMG_HOT","");

//锟斤拷锟铰憋拷锟斤拷前锟斤拷图片(锟狡硷拷锟斤拷锟铰ｏ拷
String ARTICLE_FRONT_IMG_COMMEND = ParamUtil.getStrParam(request,"ARTICLE_FRONT_IMG_COMMEND","");

//锟斤拷锟铰憋拷锟斤拷前锟斤拷图片(锟教讹拷锟斤拷锟铰ｏ拷
String ARTICLE_FRONT_IMG_TOP = ParamUtil.getStrParam(request,"ARTICLE_FRONT_IMG_TOP","");


//锟斤拷示锟斤拷锟斤拷锟斤拷诘母锟绞?
String ADD_DATE_FORMAT = ParamUtil.getStrParam(request,"ADD_DATE_FORMAT","MM-dd");

//锟津开凤拷式锟斤拷锟斤拷html锟斤拷<a>锟斤拷target锟斤拷锟斤拷锟斤拷同
String TARGET = ParamUtil.getStrParam(request,"TARGET","");

//锟斤拷示锟斤拷锟铰碉拷默锟斤拷页锟斤拷
String SHOW_ARTICLE_PAGE = ParamUtil.getStrParam(request,"SHOW_ARTICLE_PAGE","");


/***********************************
* 元锟斤拷锟斤拷锟皆诧拷锟斤拷锟绞硷拷锟?
***********************************/
//锟角凤拷锟斤拷示锟斤拷锟斤拷锟斤拷锟斤拷锟?
boolean IS_SHOW_ADD_DATE_COLUMN = ParamUtil.getBooleanParam(request,"IS_SHOW_ADD_DATE_COLUMN","true");

//锟角凤拷锟斤拷示锟斤拷锟斤拷锟斤拷目锟斤拷
boolean IS_SHOW_CLASS_NAME_COLUMN = ParamUtil.getBooleanParam(request,"IS_SHOW_CLASS_NAME_COLUMN","true");

//锟角凤拷榭达拷锟揭?
boolean IS_SHOW_PAGE = ParamUtil.getBooleanParam(request,"IS_SHOW_PAGE","false");

//锟角凤拷锟节憋拷锟斤拷暮锟斤拷锟街憋拷锟斤拷锟绞?new 图锟疥，锟斤拷锟斤拷锟斤拷示锟斤拷锟斤拷
boolean IS_SHOW_NEW_ICON_IN_TITLE = ParamUtil.getBooleanParam(request,"IS_SHOW_NEW_ICON_IN_TITLE","false");

//锟角凤拷锟节憋拷锟斤拷锟街憋拷锟斤拷锟绞?new 图锟疥，锟斤拷锟斤拷示锟斤拷锟斤拷
boolean IS_SHOW_NEW_ICON_AND_DATE_IN_TITLE = ParamUtil.getBooleanParam(request,"IS_SHOW_NEW_ICON_AND_DATE_IN_TITLE","false");

//锟角凤拷锟斤拷锟斤拷锟节达拷锟斤拷示 new 图锟疥（锟斤拷锟斤拷墙锟斤拷锟斤拷锟接碉拷锟斤拷锟脚ｏ拷
boolean IS_SHOW_NEW_ICON_IN_DATE = true;
if(null != request.getParameter("IS_SHOW_NEW_ICON_IN_DATE") && request.getParameter("IS_SHOW_NEW_ICON_IN_DATE").equalsIgnoreCase("false")){
	IS_SHOW_NEW_ICON_IN_DATE = false;
}
if(IS_SHOW_NEW_ICON_IN_TITLE){	//锟斤拷锟斤拷诒锟斤拷獯︼拷锟绞緉ew锟剿ｏ拷锟酵诧拷锟斤拷锟斤拷锟节达拷锟斤拷锟斤拷示
	IS_SHOW_NEW_ICON_IN_DATE = false;
}



/***********************************
* CSS锟斤拷式 锟斤拷锟斤拷锟绞硷拷锟?
***********************************/
//CSS锟斤拷式
String CSS = ParamUtil.getStrParam(request,"CSS","");

//锟斤拷锟斤拷CSS锟斤拷式
String CSS_TITLE = ParamUtil.getStrParam(request,"CSS_TITLE","");

//锟斤拷目CSS锟斤拷式
String CSS_CLASS = ParamUtil.getStrParam(request,"CSS_CLASS","");

//锟斤拷页CSS锟斤拷式
String CSS_PAGE = ParamUtil.getStrParam(request,"CSS_PAGE","");



/***********************************
* 锟斤拷锟斤拷锟斤拷锟?
***********************************/
int titleLength = TITLE_LENGTH;
%>

	  <% int articleCount = 0; %>
      <cms4j:article page_size="<%=PAGE_SIZE%>" class_id="<%=CLASS_ID%>" filter="<%=FILTER%>" order="<%=ORDER%>" scope="<%=SCOPE%>" article_id="<%=ARTICLE_ID%>" special_id="<%=SPECIAL_ID%>" key="<%=KEY%>" search="<%=SEARCH%>" search_type="<%=SEARCH_TYPE%>" node_id="<%=NODE_ID%>" pn="<%=PN%>" add_user="<%=ADD_USER%>" class_state="<%=CLASS_STATE%>" class_show="<%=CLASS_SHOW%>" date="<%=DATE%>" exclude="<%=EXCLUDE%>" exclude2="<%=EXCLUDE2%>" bind_key_article_id="<%=BIND_KEY_ARTICLE_ID%>"> 
	 
				<cms4j:article_list>
				    <% articleCount++ ; %>
					
					  
          <li class='Rgonggao01'> 
            <% if(IS_SHOW_CLASS_NAME_COLUMN){ %>
            <% 
				titleLength = TITLE_LENGTH - (StrUtil.getLength(article_info.getCLASS_NAME())/2);
			} 
			
			
			%>
			
						
            <a href="<%=article_info.getURL(SHOW_ARTICLE_PAGE,CLUSTER_URL_PARAM)%>" target="<%=TARGET%>"><span class="<%=CSS_TITLE%>" title="<%=article_info.getTITLE_TEXT()%>"><%=article_info.getTITLE(20,TITLE_OUT_STR,"","","")%></span></a>
			<%if(IS_SHOW_NEW_ICON_IN_TITLE){%>
				<%=article_info.isNewImg(IS_NEW_IMG)%>
			<%}else if(IS_SHOW_NEW_ICON_AND_DATE_IN_TITLE){%>
				<%=article_info.getADD_DATE_FORMATED(ADD_DATE_FORMAT,true,true,IS_NEW_IMG)%>
			<%}%>
			
          </li>
          <li class='Rgonggao02'>
          	<%=article_info.getADD_DATE_FORMATED("yyyy-mm-dd")%>
          </li>
					  <% if(IS_SHOW_ADD_DATE_COLUMN){ %>
					  	
					  <% } %>
				</cms4j:article_list>
			
			<% if(articleCount <= 0) { %>
				<span class="<%=CSS_TITLE%>">锟斤拷锟睫凤拷锟斤拷锟斤拷锟斤拷锟斤拷锟斤拷锟?/span>
			<% } %>
		
			<% if(IS_SHOW_PAGE) {%>
				<!--BEGIN: 锟斤拷页(锟斤拷锟斤拷锟斤拷锟斤拷)-->
				<jsp:include page="../page/page_1.jsp">
					<jsp:param name="CSS" value="<%=CSS_PAGE%>"></jsp:param>
				</jsp:include>
				<!--END: 锟斤拷页-->
			<% } %>
			
		</cms4j:article>
		<!--锟斤拷锟斤拷锟斤拷锟斤拷锟叫憋拷-->

